summaryrefslogtreecommitdiff
path: root/dev-java/oracle-jre-bin/oracle-jre-bin-1.8.0.131.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-java/oracle-jre-bin/oracle-jre-bin-1.8.0.131.ebuild')
-rw-r--r--dev-java/oracle-jre-bin/oracle-jre-bin-1.8.0.131.ebuild201
1 files changed, 201 insertions, 0 deletions
diff --git a/dev-java/oracle-jre-bin/oracle-jre-bin-1.8.0.131.ebuild b/dev-java/oracle-jre-bin/oracle-jre-bin-1.8.0.131.ebuild
new file mode 100644
index 0000000..49f7bf0
--- /dev/null
+++ b/dev-java/oracle-jre-bin/oracle-jre-bin-1.8.0.131.ebuild
@@ -0,0 +1,201 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-java/oracle-jre-bin/oracle-jre-bin-1.8.0.45.ebuild,v 1.3 2015/04/17 21:22:41 ago Exp $
+
+EAPI="5"
+
+inherit java-vm-2 eutils prefix versionator
+
+if [[ "$(get_version_component_range 4)" == 0 ]] ; then
+ S_PV="$(get_version_component_range 1-3)"
+else
+ MY_PV_EXT="u$(get_version_component_range 4)"
+ S_PV="$(get_version_component_range 1-4)"
+fi
+
+MY_PV="$(get_version_component_range 2)${MY_PV_EXT}"
+
+ARM_SF_AT="ejdk-${MY_PV}-linux-arm-sflt.tar.gz"
+ARM_HF_AT="ejdk-${MY_PV}-linux-armv6-vfp-hflt.tar.gz"
+X86_AT="ejdk-${MY_PV}-linux-i586.tar.gz"
+
+# This URIs need updating when bumping!
+JRE_URI="http://www.oracle.com/technetwork/java/javase/downloads/jre8-downloads-2133155.html"
+JCE_URI="http://www.oracle.com/technetwork/java/javase/downloads/jce8-download-2133166.html"
+
+JCE_DIR="UnlimitedJCEPolicyJDK8"
+JCE_FILE="jce_policy-8.zip"
+
+DESCRIPTION="Oracle's Java SE Runtime Environment"
+HOMEPAGE="http://www.oracle.com/technetwork/java/javase/"
+SRC_URI="
+ x86? ( ${X86_AT} )
+ amd64? ( ${X86_AT} )
+ arm? ( ${ARM_SF_AT} ${ARM_HF_AT} )
+ jce? ( ${JCE_FILE} )"
+
+LICENSE="Oracle-BCLA-JavaSE"
+SLOT="1.8"
+KEYWORDS="arm x86"
+IUSE="X alsa fontconfig jce pax_kernel selinux"
+
+RESTRICT="fetch strip"
+QA_PREBUILT="*"
+
+COMMON_DEP=""
+RDEPEND="${COMMON_DEP}
+ X? (
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/libX11
+ )
+ alsa? ( media-libs/alsa-lib )
+ fontconfig? ( media-libs/fontconfig )
+ !prefix? ( sys-libs/glibc )
+ selinux? ( sec-policy/selinux-java )"
+# scanelf won't create a PaX header, so depend on paxctl to avoid fallback
+# marking. #427642
+DEPEND="${COMMON_DEP}
+ jce? ( app-arch/unzip )
+ pax_kernel? ( sys-apps/paxctl )
+ virtual/jre"
+
+S="${WORKDIR}/jre"
+
+pkg_nofetch() {
+ if use x86; then
+ AT=${X86_AT}
+ elif use arm; then
+ AT="${ARM_SF_AT} ${ARM_HF_AT}"
+ fi
+
+ einfo "Please download '${AT}' from:"
+ einfo "'${JRE_URI}'"
+ einfo "and move it to '${DISTDIR}'"
+
+ if use jce; then
+ einfo "Also download '${JCE_FILE}' from:"
+ einfo "'${JCE_URI}'"
+ einfo "and move it to '${DISTDIR}'"
+ fi
+
+ einfo
+ einfo "If the above mentioned urls do not point to the correct version anymore,"
+ einfo "please download the files from Oracle's java download archive:"
+ einfo
+ einfo " http://www.oracle.com/technetwork/java/javase/downloads/java-archive-javase8-2177648.html#jre-${MY_PV}-oth-JPR"
+ einfo
+
+}
+
+src_unpack() {
+ einfo "Unpacking for arch ${CHOST/-*/}"
+
+ if [[ ${CHOST} = armv5* ]]; then
+ unpack ${ARM_SF_AT}
+ elif [[ ${CHOST} = armv6* ]]; then
+ if [[ ${CHOST} = *hardfloat* ]]; then
+ unpack ${ARM_HF_AT}
+ else
+ unpack ${ARM_SF_AT}
+ fi
+ elif [[ ${CHOST} = armv7* ]]; then
+ if [[ ${CHOST} = *hardfloat* ]]; then
+ unpack ${ARM_HF_AT}
+ else
+ unpack ${ARM_SF_AT}
+ fi
+ else
+ unpack ${X86_AT}
+ fi
+
+ if use jce; then
+ unpack ${JCE_FILE}
+ fi
+
+ # Upstream is changing their versioning scheme every release around 1.8.0.*;
+ # to stop having to change it over and over again, just wildcard match and
+ # live a happy life instead of trying to get this new jre1.8.0_05 to work.
+ mv "${WORKDIR}"/ejdk* "${WORKDIR}"/ejdk || die
+ "${WORKDIR}"/ejdk/bin/jrecreate.sh --dest ${S} --ejdk-home "${WORKDIR}"/ejdk -v --vm all -x sunpkcs11 -x gcf -x locales -x charsets -x nashorn -x sunec || die
+}
+
+src_prepare() {
+ if use jce; then
+ mv "${WORKDIR}"/${JCE_DIR} lib/security/ || die
+ fi
+}
+
+src_install() {
+ local dest="/opt/${P}"
+ local ddest="${ED}${dest}"
+
+ # Create files used as storage for system preferences.
+ mkdir .systemPrefs || die
+ touch .systemPrefs/.system.lock || die
+ touch .systemPrefs/.systemRootModFile || die
+
+ # We should not need the ancient plugin for Firefox 2 anymore, plus it has
+ # writable executable segments
+ if use x86; then
+ rm -vf lib/i386/libjavaplugin_oji.so \
+ lib/i386/libjavaplugin_nscp*.so
+ rm -vrf plugin/i386
+ fi
+
+ dodir "${dest}"
+ cp -pPR bin lib "${ddest}" || die
+
+ # This needs to be done before CDS - #215225
+ java-vm_set-pax-markings "${ddest}"
+
+ # see bug #207282
+ einfo "Creating the Class Data Sharing archives"
+ case ${ARCH} in
+ arm|ia64)
+ ${ddest}/bin/java -client -Xshare:dump || die
+ ;;
+ x86)
+ ${ddest}/bin/java -client -Xshare:dump || die
+ # limit heap size for large memory on x86 #467518
+ # this is a workaround and shouldn't be needed.
+ ${ddest}/bin/java -server -Xms64m -Xmx64m -Xshare:dump || die
+ ;;
+ *)
+ ${ddest}/bin/java -server -Xshare:dump || die
+ ;;
+ esac
+ # Remove empty dirs we might have copied
+ find "${D}" -type d -empty -exec rmdir -v {} + || die
+
+ dodoc COPYRIGHT README
+
+ if use jce; then
+ dodir ${dest}/lib/security/strong-jce
+ mv "${ddest}"/lib/security/US_export_policy.jar \
+ "${ddest}"/lib/security/strong-jce || die
+ mv "${ddest}"/lib/security/local_policy.jar \
+ "${ddest}"/lib/security/strong-jce || die
+ dosym "${dest}"/lib/security/${JCE_DIR}/US_export_policy.jar \
+ "${dest}"/lib/security/US_export_policy.jar
+ dosym "${dest}"/lib/security/${JCE_DIR}/local_policy.jar \
+ "${dest}"/lib/security/local_policy.jar
+ fi
+
+ # Prune all fontconfig files so libfontconfig will be used and only install
+ # a Gentoo specific one if fontconfig is disabled.
+ # http://docs.oracle.com/javase/7/docs/technotes/guides/intl/fontconfig.html
+ rm "${ddest}"/lib/fontconfig.* || die
+ if ! use fontconfig; then
+ cp "${FILESDIR}"/fontconfig.Gentoo.properties "${T}"/fontconfig.properties || die
+ eprefixify "${T}"/fontconfig.properties
+ insinto "${dest}"/lib/
+ doins "${T}"/fontconfig.properties
+ fi
+
+ set_java_env
+ java-vm_revdep-mask
+ java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
+}

Powered by Domaintechnik.at | Hosting - Domain - Webspace